Subject: Re: Include Cygwin dll when Compiling
From: "Latyr Jean-Luc FAYE" <[email-masked]>
To: "Larry Hall \(RFK Partners, Inc\)" <[email-masked]>, "Cygwin" <[email-masked]>
Date: Thu, 5 Apr 2001 21:28:38 +0100

> At 03:57 PM 4/5/2001, Latyr Jean-Luc FAYE wrote:
> >Dear Cygwin Users,
> >
> >Thanks again for you explanations.
> >This is going to be my last question of the day (I hope so ;)
> >I want to compile a C/C++ file and generate an exe file that can be run
from
> >any PC including a PC without Cygwin dll.
> >I've read the Cygwin FAQ in wich there is a method proposed.
> >I tried it but I didn't have it work.
> >Either I screw up, either it's not working.
>

At April 05, 2001 9:17 PM,  Larry Hall (RFK Partners, Inc) wrote

> Guess you screwed up!;-)
>
> I can't tell you what you did wrong but I can tell you that the setup
> program that allowed you to install Cygwin is built with Cygwin and
> does not require the cygwin1.dll.  If all else fails, you can download
> the source for Cygwin and see how setup is built.  This should help you
> figure out your problems.
>

I think that I screwed up also when explaining my problem. ;-)
I have setup Cygwin and it is working very fine, thanks god
What I want was :
How do I compile a Win32 executable that doesn't use Cygwin?
The -mno-cygwin flag to gcc makes gcc link against standard Microsoft DLLs
instead of Cygwin. This is desirable for native Windows programs that don't
need a UNIX emulation layer.
http://www.cygwin.com/faq/faq.html#SEC82

But as my programs are design to run under DOS, I think that it's not
possible with Cygwin and that I should use DJGPP.
Does it sound right ???

Thanks

Jean-Luc

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple